# carbonate
A project about carbonate rock, carbonate diagenesis, carbon isotope analysis integrating sedimentology, element cycling, geochemical modeling and stratigraphy

This repository contains R scripts and carbon isotope data accompanying a scientific manuscript currently under revision for the journal Climate of the Past and available as preprint on Climate of the Past Discussions. Two R scripts are included, which process the raw carbon isotope data; CarbTrends.R and CarbDiaModel.R. The first R script transforms the isotope data to fit on a dimensionless timeline for the Permian-Triassic boundary interval, and subsequently extracts time-sliced trend lines from (time bin specific) subsampled data.  The data is visualized as Figures 1-3, depicting; the combined data for Iran and China separately as scatterplots and “Watercolor Regression” curves (after Hsiang’s and Schönbrodt's blog entries: http://www.nicebread.de/ and http://www.fight-entropy.com) as well as a comparative analysis of temporal median trends for studies focusing on Abadeh (Iran) and Meishan (China). Lastly, the script produces output to be used subsequently in the second R script (CarbDiaModel.R) in order to construct a simulated carbon isotope time series. The second script encompasses a modeling approach, encapsulating solute diffusion and sedimentation (calcium carbonate and organic matter) as well as microbial metabolic reactions fed by electron donor and acceptor supply. Furthermore, the model contains definitions regarding to calcium carbonate dissolution and recrystallization, thereby enabling the simulation of the effect of microbial metabolic activity on porewater and eventually the endmember carbonate carbon isotope composition. This scripts produces four figures (Figure 4-6 and 8), i.e., 1) diagenetic porewater profiles and carbonate solid and aqueous phase carbon isotope composition under low and high organic matter loading, 2) systematic sensitivity test on the effect of organic matter loading (among other parameters, including; the diagenetic/authigenic fraction, bottom oxygenation and sulfate levels and sedimentation rate) on; ongoing recrystallization of carbonate rock with depth and authigenic seafloor sedimentation, and 3)  a virtual timeseries simulating the effect of temporal changes in the spatial variability of organic matter accumulation on the trajectories of bulk rock carbon isotope alteration. These models—reactive transport models—are based on the work of Soetaert, and rely on the R packages: ReacTran and DeSolve.
